| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal_SR2W Class Reference

`#include <LiquidCrystal_SR2W.h>`

Inheritance diagram for LiquidCrystal_SR2W:

List of all members.

## Public Member Functions
| LiquidCrystal_SR2W (uint8_t srdata, uint8_t srclock, t_backlighPol blpol=POSITIVE)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t mode)

## Detailed Description

Definition at line 137 of file LiquidCrystal_SR2W.h.

## Constructor & Destructor Documentation

LiquidCrystal_SR2W::LiquidCrystal_SR2W | ( | uint8_t | srdata,
|  | uint8_t | srclock,
|  | t_backlighPol | blpol = `POSITIVE`
| ) |  |

LCD 2 wire SHIFT REGISTER constructor. Defines the pin assignments that connect to the shift register. The constructor does not initialize the LCD. Assuming 1 line 8 pixel high font.

Parameters:

  srdata[in] | Arduino pin for shift register data line.
  srclock[in] | Arduino pin for shift register clock line.
  blpol[in] | optional backlight polarity (default = POSITIVE)

Definition at line 37 of file LiquidCrystal_SR2W.cpp.

## Member Function Documentation

void LiquidCrystal_SR2W::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command using the shift register.

Users should never call this method.

Parameters:

  value[in] | Value to send to the LCD.
  mode[in] | DATA=8bit data, COMMAND=8bit cmd, FOUR_BITS=4bit cmd the LCD.

Reimplemented from LCD.

Definition at line 90 of file LiquidCrystal_SR2W.cpp.

void LiquidCrystal_SR2W::setBacklight | ( | uint8_t | mode | ) | `[virtual]`

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also:
  setBacklightPin.

Parameters:

  mode[in] | backlight mode (0 off, non-zero on)

Reimplemented from LCD.

Definition at line 117 of file LiquidCrystal_SR2W.cpp.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR2W.h
- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR2W.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines